<?php
/* --------------------------------------------------------------
   dependent.inc.php 2016-12-12
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2016 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

/**
 * set index for order_id in invoices table for performance reasons
 */
$t_success &= $this->set_index('invoices', 'INDEX', array('order_id'), 'order_id');


/**
 * Possibility to switch the verification code for the newsletter on and off
 */
$t_check = $this->query("SELECT * FROM `gm_configuration` WHERE `gm_key` = 'GM_NEWSLETTER_VVCODE'", true);
if($t_check->num_rows === 0)
{
	$t_query = "INSERT INTO `gm_configuration` SET `gm_key` = 'GM_NEWSLETTER_VVCODE', `gm_value` = 'true'";
	$t_success &= (boolean)$this->query($t_query);
}

/**
 * Set status to inactive for countries which were previously set to active falsely. It is done only, if this update was not installed before.
 */
$versionCheck = $this->query('SELECT * FROM `version_history` WHERE `version` = "3.3.1.2"', true);
if($versionCheck->num_rows === 0)
{
	$query = 'UPDATE `countries` 
			  SET `status` = 0 
			  WHERE `countries_iso_code_2` IN ("AX","BL","BQ","CD","CW","GG","IM","JE","ME","MF","PS","SS","SX","TL")';
	$t_success &= is_numeric($this->query($query));
}